Create agents/item/share links
curl --request POST \
--url https://api.callaro.ai/api/v1/agents/{agent_id}/share-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expires_in_hours": 123,
"max_uses": "<string>",
"label": "<string>",
"locked_runtime_vars": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expires_in_hours: 123,
max_uses: '<string>',
label: '<string>',
locked_runtime_vars: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/agents/{agent_id}/share-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/agents/{agent_id}/share-links"
payload = {
"expires_in_hours": 123,
"max_uses": "<string>",
"label": "<string>",
"locked_runtime_vars": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"agent_id": "<string>",
"tenant_id": "<string>",
"label": "<string>",
"expires_at": "<string>",
"revoked_at": "<string>",
"last_used_at": "<string>",
"use_count": 123,
"max_uses": "<string>",
"locked_runtime_var_keys": "<string>",
"state": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"last_modified_by": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Agents
Create agents/item/share links
From api/v1/agent_share_links#create in voice_saas_api. Fields come from that action’s strong params / params usage.
POST
/
api
/
v1
/
agents
/
{agent_id}
/
share-links
Create agents/item/share links
curl --request POST \
--url https://api.callaro.ai/api/v1/agents/{agent_id}/share-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expires_in_hours": 123,
"max_uses": "<string>",
"label": "<string>",
"locked_runtime_vars": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expires_in_hours: 123,
max_uses: '<string>',
label: '<string>',
locked_runtime_vars: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/agents/{agent_id}/share-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/agents/{agent_id}/share-links"
payload = {
"expires_in_hours": 123,
"max_uses": "<string>",
"label": "<string>",
"locked_runtime_vars": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"agent_id": "<string>",
"tenant_id": "<string>",
"label": "<string>",
"expires_at": "<string>",
"revoked_at": "<string>",
"last_used_at": "<string>",
"use_count": 123,
"max_uses": "<string>",
"locked_runtime_var_keys": "<string>",
"state": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"last_modified_by": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Was this page helpful?